final class SportVehicle extends Vehicle{
    private final int horsePowers;

    public SportVehicle(Engine engine, int horsePowers) {
        super("sport-car", engine);
        this.horsePowers = horsePowers;
    }

    @Override
    void drive() {
        System.out.println("SportVehicle, uruchamianie silnika");
        startEngine();
        System.out.println("SportVehicle, silnik uruchomiony, moc:" + horsePowers);
    }

    @Override
    void stop() {
        System.out.println("SportVehicle, wyłączanie silnika");
        stopEngine();
        System.out.println("SportVehicle, silnik wyłączony");
    }
}
